---@meta lyaml.explicit

--------------------------------------------------------------------------------
-- LYAML 显式 tag 标量解析模块
--------------------------------------------------------------------------------

---@class lyaml_explicit*
---@type lyaml_explicit*
local M = {}

--- 解析 `!!bool` 标量。
---@param value string 标量文本
---@return boolean? value 布尔值
function M.bool(value) end

--- 解析 `!!float` 标量。
---@param value string 标量文本
---@return number? value 浮点值
function M.float(value) end

--- 解析 `!!int` 标量。
---@param value string 标量文本
---@return integer? value 整数值
function M.int(value) end

--- 解析 `!!null` 标量。
---@param value? string 标量文本
---@return lyaml_null* value null 哨兵值
function M.null(value) end

--- 解析 `!!str` 标量。
---@param value string 标量文本
---@return string value 原字符串
function M.str(value) end

return M
